PDA

View Full Version : vBulletin Security Patch for vBulletin 4.2 (Suite & Forum) Only - 06/18/2012


vB.Org System
18 Jun 2012, 22:40
A recent vBulletin report (http://tracker.vbulletin.com/browse/VBIV-15281) indicated that there was a potential XSS exploit vector involving the new Activity Stream. Once the cause of the issue was isolated, code changes were made to eliminate the reported threat.

This issue affects ONLY vBulletin 4.2 (Suite & Forum).

A patch has been issued for vBulletin 4.2.

To improve the security of your vBulletin 4 installation, please download the patch from the members area of vBulletin: http://members.vbulletin.com/

The standard upgrade process for a patch level release is:


Download the patch for the version of vBulletin you're currently running from https://members.vbulletin.com (https://members.vbulletin.com/patches.php)/patches.php (https://members.vbulletin.com/patches.php).
Extract the vBulletin patch files from the zip file.
Upload the patch files to your server, overwriting the old files.

The upgrade.php script does not need to be run.

Advanced Users:
Files updated in this patch for vBulletin 4.2 (Suite & Forum).


/vb/activitystream/view/perm/calendar/event.php
/includes/vbulletin_version.php
Please note this list does not contain the files changed in vBulletin 4.2 PL1 (https://www.vbulletin.com/forum/showthread.php/402641-vBulletin-Security-Patch-for-vBulletin-3-8-7-amp-4-0-4-2-%28Suite-amp-Forum%29-06-07-2012). Only the files changed in vBulletin 4.2 PL2 are listed. However, PL2 also contains all of the changes from PL1.

Licensed customers can discuss the security patch - HERE (https://www.vbulletin.com/forum/showthread.php/403210-Discuss-the-4-2-%28Suite-amp-Forum%29-PL2-security-patch?p=2306250#post2306250)


More... (https://www.vbulletin.com/forum/showthread.php/403211-vBulletin-Security-Patch-for-vBulletin-4-2-(Suite-amp-Forum)-Only-06-18-2012?goto=newpost)